<?php
/**
 * The template for displaying the footer.
 *
 * @package Bloggo
 */

?>
		</div><!-- .inner -->
	</div><!-- .site-content -->

	<footer class="site-footer">
		<div class="inner">
			<?php if ( has_nav_menu( 'footer_social' ) ) : ?>
			<div class="footer-links">
				<?php
				wp_nav_menu( array(
					'theme_location' => 'footer_social',
					'container'      => false,
					'menu_id'        => 'footer-social-links',
					'menu_class'     => 'social-links-menu',
					'depth'          => 1,
					'link_before'    => '<span class="screen-reader-text">',
					'link_after'     => '</span>',
				) );
				?>
			</div><!-- .footer-links -->
			<?php endif; ?>
			<div class="site-info">
				<?php
					if ( get_theme_mod( 'bloggo_footer_text' ) ) {
						echo wp_kses_post( get_theme_mod( 'bloggo_footer_text' ) );
					} else {
						printf( esc_html__( '&copy; %1$s %2$s', 'bloggo' ),
							date_i18n( __( 'Y', 'bloggo' ) ),
							sprintf( '<a href="%1$s" rel="home">%2$s</a>', esc_url( home_url( '/' ) ), get_bloginfo( 'name', 'display' ) )
						);
						echo '<br />';
						printf( esc_html__( 'Bloggo theme by %s', 'bloggo' ),
							sprintf( '<a href="%s">justgoodthemes.com</a>', esc_url( 'https://justgoodthemes.com/' ) )
						);
					}
				?>
				<a href="#page" id="top-link" class="top-link square fill-horizontal"><span class="fa-chevron-up" aria-hidden="true"></span><span class="screen-reader-text"><?php esc_html_e( 'Back to the top', 'bloggo' ); ?></span></a>
			</div>
		</div><!-- .inner -->
	</footer><!-- .site-footer -->
</div><!-- .site -->

<div id="search-box" class="site-search">
	<div class="inner">
		<?php get_search_form(); ?>
	</div><!-- .inner -->
</div><!-- .site-search -->
<div id="search-hide" class="search-hide"></div>

<?php wp_footer(); ?>
</body>
</html>
