<?php
/**
 * Bloggo Theme Custom CSS.
 *
 * @package Bloggo
 */

/**
 * Enqueue front-end CSS for the accent colors.
 */
function bloggo_accent_colors_css() {
	$primary_color = get_theme_mod( 'bloggo_primary_color', '#22b3eb' );
	$secondary_color = get_theme_mod( 'bloggo_secondary_color', '#5ec5f0' );
	$css = '';

	if ( '#22b3eb' !== $primary_color ) {
		$css .= 'a,.primary-menu li:hover > a,.primary-menu .current-menu-item > a,.primary-menu .current-menu-ancestor > a,.primary-menu .current_page_item > a,.primary-menu .current_page_ancestor > a,.author-website a:hover,.author-stats a:hover,.page-title .highlight,.page-header .author-website a:hover,.comment-meta a:hover,.bypostauthor > .comment-body .fn:after,.required,.pagination a:hover,.post-navigation a:hover,.widget_archive a:hover,.widget_categories a:hover,.widget_pages a:hover,.widget_meta a:hover,.widget_recent_entries a:hover,.widget_recent_comments a:hover,.widget_rss a:hover,.widget_nav_menu a:hover{color:' . esc_attr( $primary_color ) . ';}button,input[type="submit"],input[type="button"],input[type="reset"],.fill-horizontal,.pagination .next,.pagination .prev,.page-links a .page-link,.footer-links a,.entry-title,.entry-footer a:hover,.read-more .more-link,#cancel-comment-reply-link,.comment-reply-link:hover,.comment-navigation a:hover,.page-link,.widget_tag_cloud a:hover,#wp-calendar tbody a:hover,.infinite-scroll #infinite-handle span:hover{background-color:' . esc_attr( $primary_color ) . ';}.site-title a,.page-header,.post-navigation .nav-next,.post-navigation .nav-previous{border-color:' . esc_attr( $primary_color ) . ';}@media only screen and (max-width: 800px){#menu-toggle.toggled--on{color:' . esc_attr( $primary_color ) . ';}}@media only screen and (min-width: 801px){.primary-menu .sub-menu,.primary-menu .children{border-color:' . esc_attr( $primary_color ) . ';}}';
	}

	if ( '#5ec5f0' !== $secondary_color ) {
		$css .= 'a:hover,.site-title a:hover{color:' . esc_attr( $secondary_color ) . ';}blockquote{border-color:' . esc_attr( $secondary_color ) . ';}button:hover,button:focus,button:active,input[type="submit"]:hover,input[type="submit"]:focus,input[type="submit"]:active,input[type="button"]:hover,input[type="button"]:focus,input[type="button"]:active,input[type="reset"]:hover,input[type="reset"]:focus,input[type="reset"]:active,.sticky .sticky-post,.entry-header .entry-meta,.read-more .more-link:hover,#cancel-comment-reply-link:hover{background-color:' . esc_attr( $secondary_color ) . ';}';
	}

	if ( empty( $css ) ) {
		return;
	}

	wp_add_inline_style( 'bloggo-style', $css );
}
add_action( 'wp_enqueue_scripts', 'bloggo_accent_colors_css', 11 );
