<?php
/**
 * Template Name: Archives
 *
 * @package Bloggo
 */

get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<?php
			// Start the loop.
			while ( have_posts() ) : the_post();
			?>
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<header class="entry-header">
						<div class="entry-header-wrap">
							<?php
							bloggo_post_thumbnail();
							the_title( '<h1 class="entry-title">', '</h1>' );
							?>
						</div><!-- .entry-header-wrap -->
						<?php edit_post_link( esc_html__( 'Edit', 'bloggo' ), '<div class="entry-meta">', '</div>' ); ?>
					</header><!-- .entry-header -->
					<div class="entry-content">
						<?php the_content(); ?>
						<h3><?php esc_html_e( 'Latest Posts', 'bloggo' ); ?></h3>
						<ul class="archives-list"><?php
							wp_get_archives( array(
								'type'  => 'postbypost',
								'limit' => 20
							) );
						?></ul>
						<h3><?php esc_html_e( 'Categories', 'bloggo' ); ?></h3>
						<ul class="archives-list"><?php
							wp_list_categories( array(
								'show_count' => 1,
								'title_li'   => ''
							) );
						?></ul>
						<h3><?php esc_html_e( 'Archive By Month', 'bloggo' ); ?></h3>
						<ul class="archives-list"><?php
							wp_get_archives( array(
								'type'            => 'monthly',
								'show_post_count' => true
							) );
						?></ul>
					</div><!-- .entry-content -->
				</article><!-- #post -->
			<?php endwhile; ?>
		</main><!-- .site-main -->
	</div><!-- .content-area -->
<?php
get_sidebar();
get_footer();
