<?php
/**
 * The template for displaying search results pages.
 *
 * @package Bloggo
 */

get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<?php
			if ( have_posts() ) : ?>
				<header class="page-header">
					<h1 class="page-title"><?php printf( __( 'Search results for %s', 'bloggo' ), '<span class="highlight">&#147;' . esc_html( get_search_query() ) . '&#148;</span>' ); ?></h1>
				</header><!-- .page-header -->
				<?php
				// Start the loop.
				while ( have_posts() ) : the_post();
					// Include the template for the content.
					get_template_part( 'template-parts/content', 'search' );
				endwhile;
				// Posts navigation.
				bloggo_loop_navigation();
			// If no content, include the "No posts found" template.
			else :
				get_template_part( 'template-parts/content', 'none' );
			endif;
			?>
		</main><!-- .site-main -->
	</div><!-- .content-area -->
<?php
get_sidebar();
get_footer();
