<?php
/**
 * The template for displaying all single posts.
 *
 * @package Bloggo
 */

get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<?php
			// Start the loop.
			while ( have_posts() ) : the_post();
				// Include the single post content template.
				get_template_part( 'template-parts/content', 'single' );
				// Previous/next post navigation.
				if ( is_singular( 'post' ) ) :
					$prev = get_adjacent_post( false, '', true );
					$next = get_adjacent_post( false, '', false );
					$links_html = '';
					if( ! empty( $prev ) ) {
						$links_html .= '<div class="nav-previous"><div class="nav-inside"><div class="nav-before">' . esc_html__( 'Previous', 'bloggo' ) . '</div>';
						$prev_url = get_permalink( $prev->ID );
						$prev_thumb =  wp_get_attachment_image_src( get_post_thumbnail_id( $prev->ID ), 'bloggo-nav' );
						if ( $prev_thumb ) {
							$links_html .= '<a href="' . esc_url( $prev_url ) . '" class="nav-thumb" style="background-image: url(' . esc_url( $prev_thumb[0] ) . ')"></a>';
						}
						$links_html .= '<div class="nav-title"><a href="' . esc_url( $prev_url ) . '">' . esc_html( $prev->post_title ) . '</a></div><div class="nav-date">' . get_the_time( get_option( 'date_format' ), $prev->ID ) . '</div></div></div>';
					}
					if( ! empty( $next ) ) {
						$links_html .= '<div class="nav-next"><div class="nav-inside"><div class="nav-before">' . esc_html__( 'Next', 'bloggo' ) . '</div>';
						$next_url = get_permalink( $next->ID );
						$next_thumb =  wp_get_attachment_image_src( get_post_thumbnail_id( $next->ID ), 'bloggo-nav' );
						if ( $next_thumb ) {
							$links_html .= '<a href="' . esc_url( $next_url ) . '" class="nav-thumb" style="background-image: url(' . esc_url( $next_thumb[0] ) . ')"></a>';
						}
						$links_html .= '<div class="nav-title"><a href="' . esc_url( $next_url ) . '">' . esc_html( $next->post_title ) . '</a></div><div class="nav-date">' . get_the_time( get_option( 'date_format' ), $next->ID ) . '</div></div></div>';
					}
					if ( ! empty( $links_html ) ) {
						printf( '<nav class="navigation post-navigation"><h2 class="screen-reader-text">%1$s</h2><div class="nav-links">%2$s</div></nav>',
							esc_html__( 'Post navigation', 'bloggo' ),
							$links_html
						);
					}
				endif;
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
			endwhile;
			?>
		</main><!-- .site-main -->
	</div><!-- .content-area -->
<?php
get_sidebar();
get_footer();
