<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * @package Bloggo
 */
?>
<section class="no-results not-found">
	<header class="entry-header">
		<div class="entry-header-wrap">
			<h1 class="entry-title"><?php esc_html_e( 'Nothing Found', 'bloggo' ); ?></h1>
		</div><!-- .entry-header-wrap -->
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php if ( is_search() ) : ?>
			<p><?php esc_html_e( 'Sorry, but nothing matched your search criteria. Make sure all words are spelled correctly or try again with some different keywords.', 'bloggo' ); ?></p>
		<?php else : ?>
			<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'bloggo' ); ?></p>
		<?php endif; ?>
		<?php get_search_form(); ?>
	</div><!-- .entry-content -->
</section><!-- .not-found -->
