<?php
/**
 * The template part for displaying single posts.
 *
 * @package Bloggo
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<div class="entry-header-wrap">
			<?php
			bloggo_post_thumbnail();
			the_title( '<h1 class="entry-title">', '</h1>' );
			?>
		</div><!-- .entry-header-wrap -->
		<div class="entry-meta">
			<?php
			bloggo_posted_on();
			edit_post_link( esc_html__( 'Edit', 'bloggo' ), '<span class="edit-link">', '</span>' );
			?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php
		the_content();
		wp_link_pages( array(
			'before'      => '<p class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'bloggo' ) . '</span>',
			'after'       => '</p>',
			'link_before' => '<span class="page-link">',
			'link_after'  => '</span>'
		) );
		?>
	</div><!-- .entry-content -->
	<?php bloggo_posted_in(); ?>
</article><!-- #post -->
<?php if ( ! is_attachment() && get_the_author_meta( 'description' ) && get_theme_mod( 'bloggo_author_box' ) ) : ?>
<div class="author-box">
	<div class="author-info">
		<div class="author-avatar">
			<?php echo get_avatar( get_the_author_meta( 'user_email' ), 100 ); ?>
		</div><!-- .author-avatar -->
		<div class="author-details">
			<h2 class="author-title"><?php
				printf( esc_html__( 'About %s', 'bloggo' ),
					sprintf( '<a href="%1$s" rel="author">%2$s</a>',
						esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
						get_the_author()
					)
				);
			?></h2>
			<p class="author-bio"><?php the_author_meta( 'description' ); ?></p>
			<?php if ( get_the_author_meta( 'url' ) ) : ?>
			<span class="author-website"><span class="fa-link" aria-hidden="true"></span> <a href="<?php echo esc_url( get_the_author_meta( 'url' ) ); ?>" target="_blank"><?php the_author_meta( 'url' ); ?></a></span>
			<?php endif; ?>
		</div><!-- .author-details -->
	</div><!-- .author-info -->
</div><!-- .author-box -->
<?php endif; ?>
